## org.opengis.sld
Interface LineSymbol

All Superinterfaces:
  Symbol

    @XmlElement(value="LineSymbolizer")
    public interface LineSymbol

extends Symbol

Gives directions for how to draw lines on a map.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`Stroke` `getStroke()` Returns the object containing all the information necessary to draw styled lines.
`void` `setStroke(Stroke s)` Sets the object containing all the information necessary to draw styled lines.

Methods inherited from interface Symbol
`accept, getAbstract, getGeometryAttribute, getName, getTitle, setAbstract, setGeometryAttribute, setName, setTitle`

Method Detail

### getStroke

    @XmlElement(value="Stroke")
    Stroke getStroke()

  Returns the object containing all the information necessary to draw styled lines.

### setStroke

    @XmlElement(value="Stroke")
    void setStroke(Stroke s)

  Sets the object containing all the information necessary to draw styled lines. See `getStroke()` for details.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.